Bug 10129 - URG : Problem with starting X Font Server on Linux Machine
URG : Problem with starting X Font Server on Linux Machine
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-12 01:36 EST by Karmendra Kumar
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 10:18:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karmendra Kumar 2000-03-12 01:36:56 EST
I have Linux version 2.2.1-ac1 i686 [ELF] installed on my swap partition
and have been working on it since last 5 months. Today, when I started the
machine Linux was able to boot but instead of starting X Window Manager,
it displayed the following error :

---------------------------------------------------------------------------
hda : status timeout : status =0xd0 {Busy}
hda : no DRQ after issuing WRITE, ide0:reset:success.

According to /var/run/gdm.pid, gdm was already running but seems to have
been murdered mysteriously. (PID <some no.>)
:
:
:
<The above 'According to....' message was dispalyed 10 times with ten
different PID nos.>

INIT:Id "x" respawning too fast : disabled for 5 minutes.
---------------------------------------------------------------------------

With the above message on the monitor screen, the system waited for user
response. When I pressed the "Enter", I am taken to the terminal prompt. I
checked the gdm.pid file and I found one sigle PID entry there. When I try
to 'kill' that PID no., the system says -- "No such PID exists."

Also, following is the last few lines I found in the error log
file /var/gdm/:0.log :

---------------------------------------------------------------------------
_FontTransSocketUNIXConnect : Can't connect : error = 111
failed to set default font path 'unix/:-1'

Fatal Server error :
could not open default font 'fixed'

X Connection to :0.0 broken (explicit kill or server shutdown)
---------------------------------------------------------------------------

Please, some one help me with this AEAP. I have only receently shifted to
Linux from Windows and I don't want to leave Linux and go back to Windows.

Thanks a lot.

Hail Linux!

KK

Nete Karma
Lead Associate,
Netesoft India Ltd.
karma@netesolutions.com
linuxkarma@hotmail.com
http://www.netesolutions.com
Comment 1 Preston Brown 2000-05-08 10:18:59 EDT
The following lines:

hda : status timeout : status =0xd0 {Busy}
 hda : no DRQ after issuing WRITE, ide0:reset:success.

are indicative of a hardware problem with your hard drive, not a defect in the
operating system.  Chances are very likely this is why you are seeing erratic
behaviour in linux.

Note You need to log in before you can comment on or make changes to this bug.